/*
    library for manipulating popups

    linked to django admin js lib
*/
;(function($) {
    $.fn.addAddButton = function(href, callback) {
            this
                .after(
                    $('<a></a>')
                        .attr('id', 'add_' + this.attr('id'))
                        .addClass('add-another')
                        .attr('href', href)
                        .append($('<img>')
                                .attr('src', '/media/img/admin/icon_addlink.gif')
                                .attr('width', 10)
                                .attr('alt', 'Add another')
                            )
                        .click(function(){
                            if (callback(this)){
                                    return showAddAnotherPopup(this);
                                }
                            else {
                                    return false;
                                }
                        })
                )
                .after("&nbsp;");
            return this;
        };
    $.fn.addZoomButton = function(callback) {
            this
                .after(
                    $('<a></a>')
                        .attr('id', 'zoom_' + this.attr('id'))
                        .addClass('zoom')
                        .attr('href', '#')
                        .append($('<img>')
                                .attr('src', '/sitemedia/images/zoom.gif')
                                .attr('width', 15)
                                .attr('alt', 'Zoom')
                            )
                        .click(function(){
                            if (callback(this)){
                                    return $().showZoomPopup(this);
                                }
                            else {
                                    return false;
                                }
                        })
                )
                .after("&nbsp;");
            return this;
        };
    $.fn.showZoomPopup = function(triggeringLink) {
            var name = triggeringLink.id.replace(/^zoom_/, '');
            name = name.replace(/\./g, '___');
            href = triggeringLink.href
            if (href.indexOf('?') == -1) {
                href += '?_popup=1';
            } else {
                href  += '&_popup=1';
            }
            var win = window.open(href, name, 'height=500,width=800,resizable=yes,scrollbars=yes');
            win.focus();
            return false;
        };
})(jQuery);