﻿from django import template

register = template.Library()

@register.tag
def table(parser, token):
    """
    {% table table.rows %}
    """
    bits = token.contents.split()
    if len(bits) != 2:
        raise template.TemplateSyntaxError, "'%s' tag takes one argument" % bits[0]
    return tableNode(bits[1])

class tableNode(template.Node):
    def __init__(self, object):
        self.object = template.Variable(object)

    def render(self, context):
##        try:
            return self.object.resolve(context).as_html(context)
##        except:
##            return ''

