# base for protectionlayer_measure views

from analyses.analysisbase import forms as app_forms

from django.utils.translation import ugettext_lazy as _

from utils.forms import create_class_with_meta
from utils.versioning import versionedcrud

class delete(versionedcrud.DeleteObjectView):
##    model = app_models.DegradationProtectionLayerMeasure
    form_class = None

    def setup_from_args(self, *args, **kwargs):
        if not self.form_class:
            self.form_class = create_class_with_meta(app_forms.ProtectionLayer_MeasureSheet, model=self.model)

    def get_default_url(self, object):
        return object.protectionlayer.get_absolute_url()

